reverted:
--- darcs-1.0.9/configure
+++ darcs-1.0.9.orig/configure
@@ -871,12 +871,6 @@
   | --ht=*)
     htmldir=$ac_optarg ;;
 
-  -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
-    ac_prev=htmldir ;;
-  -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
-  | --ht=*)
-    htmldir=$ac_optarg ;;
-
   -includedir | --includedir | --includedi | --included | --include \
   | --includ | --inclu | --incl | --inc)
     ac_prev=includedir ;;
@@ -985,16 +979,6 @@
   -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
     psdir=$ac_optarg ;;
 
-  -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
-    ac_prev=pdfdir ;;
-  -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
-    pdfdir=$ac_optarg ;;
-
-  -psdir | --psdir | --psdi | --psd | --ps)
-    ac_prev=psdir ;;
-  -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
-    psdir=$ac_optarg ;;
-
   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
   | -silent | --silent | --silen | --sile | --sil)
     silent=yes ;;
@@ -1660,7 +1644,6 @@
     . "$ac_site_file"
   fi
 done
-IFS=$as_save_IFS
 
 if test -r "$cache_file"; then
   # Some versions of bash will fail to source /dev/null (special
@@ -2974,6 +2957,12 @@
    { (exit 1); exit 1; }; }
 fi
 
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
 
 
 ac_aux_dir=
@@ -3646,7 +3635,6 @@
     $ac_path_GREP_found && break 3
   done
 done
-IFS=$as_save_IFS
 
 done
 IFS=$as_save_IFS
@@ -5885,7 +5873,7 @@
 		fi
 	else
 		TARGETS="$TARGETS manual/index.html"
+		MAKEMANUAL="cd manual && $HTLATEX ../darcs.tex && ln -sf darcs.html index.html"
-		MAKEMANUAL="cd manual && TEX4HTENV=/etc/tex4ht/tex4ht.env $HTLATEX ../darcs.tex && ln -sf darcs.html index.html"
 	fi
 	else
 	TARGETS="$TARGETS manual/index.html"
diff -u darcs-1.0.9/debian/changelog darcs-1.0.9/debian/changelog
--- darcs-1.0.9/debian/changelog
+++ darcs-1.0.9/debian/changelog
@@ -1,3 +1,13 @@
+darcs (1.0.9-1.1) unstable; urgency=low
+
+  * Non-maintainer upload, based on the fix in Ubuntu.
+  * Patch aclocal.m4 to fix FTBFS. Requires build-dep on autoconf.
+    debian/patches/openfd_configure_workaround.patch (Closes: #470376)
+  * Add libghc6-regex-compat-dev, libghc6-parsec-dev and quilt to build-dep.
+  * Removing tetex-extra from build-dep as requested by the Release Managers.
+
+ -- Bernd Zeimetz <bzed@debian.org>  Fri, 04 Apr 2008 21:54:03 +0200
+
 darcs (1.0.9-1) unstable; urgency=low
 
   * New upstream release (Closes: 430950).
diff -u darcs-1.0.9/debian/rules darcs-1.0.9/debian/rules
--- darcs-1.0.9/debian/rules
+++ darcs-1.0.9/debian/rules
@@ -1,8 +1,11 @@
 #!/usr/bin/make -f
 
+include /usr/share/quilt/quilt.make
+
 configure: configure-stamp
-configure-stamp:
+configure-stamp: patch
 	dh_testdir
+	autoconf
 	sh ./configure --with-sendmail=/usr/sbin/sendmail \
 	  --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
 	  --mandir=/usr/share/man --datadir=/usr/share
@@ -17,12 +20,14 @@
 	$(MAKE) index.html
 	touch build-stamp
 
-clean:
+clean: clean-patched unpatch
+clean-patched:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	rm -f manual/*
 	rm -f xine-out.wav authors
+	rm -f configure
 	$(MAKE) distclean
 	rm -f .depend darcs.1 darcs_print.ps index.html \
 	  Workaround.hs.beginning Workaround.hs.ending \
diff -u darcs-1.0.9/debian/control darcs-1.0.9/debian/control
--- darcs-1.0.9/debian/control
+++ darcs-1.0.9/debian/control
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Isaac Jones <ijones@debian.org>
-Build-Depends: debhelper (>> 4.0), ghc6 (>> 6.2), libghc6-html-dev, libghc6-mtl-dev, libghc6-quickcheck-dev, libcurl3-dev, libkrb5-dev, dvipng, tetex-bin, tetex-extra, tex4ht
+Build-Depends: debhelper (>> 4.0), ghc6 (>> 6.2), autoconf, libghc6-html-dev, libghc6-mtl-dev, libghc6-quickcheck-dev, libghc6-regex-compat-dev, libghc6-parsec-dev, libcurl3-dev, libkrb5-dev, dvipng, tetex-bin, tex4ht, quilt
 Standards-Version: 3.7.2
 
 Package: darcs
only in patch2:
unchanged:
--- darcs-1.0.9.orig/debian/patches/openfd_configure_workaround.patch
+++ darcs-1.0.9/debian/patches/openfd_configure_workaround.patch
@@ -0,0 +1,34 @@
+--- darcs-1.0.9/aclocal.m4	2007-06-16 18:12:11.000000000 +0100
++++ darcs-1.0.9/aclocal.m4	2008-02-22 11:40:51.000000000 +0000
+@@ -447,9 +447,30 @@ Work around change in the GHC.Handle.ope
+ openFd :: Int -> Maybe FDType -> FilePath -> IOMode -> Bool -> Bool -> IO Handle
+ openFd fd x y z a b = GHC.Handle.openFd fd x b y z a
+         ]]),
++       AC_MSG_RESULT([NOT 'new' API])
++       AC_MSG_CHECKING([GHC.Handle.fdToHandle' API])
++       TRY_RUN_GHC([
++import GHC.Handle ( fdToHandle' )
++import IO ( IOMode(..) )
++
++main = fdToHandle' 1 Nothing False "stdout" WriteMode True
++       ],
++       AC_MSG_RESULT([okay])
++       IMPORT_WORKAROUND([import qualified GHC.Handle ( fdToHandle' )
++import System.IO ( Handle, IOMode )
++import System.Posix.Internals ( FDType )
++])
++       CODE_WORKAROUND([[
++{-
++Work around renaming of GHC.Handle.openFd and change in its API.
++-}
++openFd :: Int -> Maybe FDType -> FilePath -> IOMode -> Bool -> Bool -> IO Handle
++openFd fd x y z a b = GHC.Handle.fdToHandle' (fromIntegral fd) x b y z a
++        ]]),
+        AC_MSG_RESULT([failed])
+        AC_MSG_ERROR([Couldnt figure out how to call GHC.Handle.openFd!])
+     )
+   )
+-])
++)])
++
+ 
only in patch2:
unchanged:
--- darcs-1.0.9.orig/debian/patches/series
+++ darcs-1.0.9/debian/patches/series
@@ -0,0 +1 @@
+openfd_configure_workaround.patch
